Export Document Annotations to PDF
Export the latest version of any document, along with its annotations, as an annotated PDF. This is equivalent to the Export Annotations action in the Vault document viewer UI. You can then view annotations, reply to existing annotations, and create new annotations in a supported PDF editor
You must have View Content permission on the latest document version and a security profile that grants the Document: Download Rendition permission to export annotations.
GET
/api/{version}/objects/documents/{doc_id}/annotations/fileHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
Response
Section link for ResponseOn SUCCESS, Vault retrieves the specified version document rendition and its associated annotations in PDF format.
- The HTTP Response Header
Content-Typeis set toapplication/pdf. - The HTTP Response Header
Content-Dispositioncontains afilenamecomponent which is used as the default name for the local file.
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.2/objects/documents/14/annotations/file